From f0046f0429098e668a4d2ffa5a80bce91f8c1635 Mon Sep 17 00:00:00 2001
From: Kai Ji <kai.ji@intel.com>
Date: Thu, 14 Apr 2022 01:59:43 +0800
Subject: [PATCH 21.11.1 v2 v1 1/1] test/crypto: skip oop test for raw api

Add in api test type check to skip unsupported aead OOP testcase
in raw API test.

Fixes: cd8166c28cd1 ("test/crypto: add raw API test for dpaax")
Cc: hemant.agrawal@nxp.com

Signed-off-by: Kai Ji <kai.ji@intel.com>
Tested-by: Poczatek, Jakub <jakub.poczatek@intel.com>
---
 app/test/test_cryptodev.c | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/app/test/test_cryptodev.c b/app/test/test_cryptodev.c
index 41a8b10a90..b11be735d0 100644
--- a/app/test/test_cryptodev.c
+++ b/app/test/test_cryptodev.c
@@ -10547,9 +10547,11 @@ test_authenticated_encryption_oop(const struct aead_test_data *tdata)
 	rte_cryptodev_info_get(ts_params->valid_devs[0], &dev_info);
 	uint64_t feat_flags = dev_info.feature_flags;

-	if ((global_api_test_type == CRYPTODEV_RAW_API_TEST) &&
-			(!(feat_flags & RTE_CRYPTODEV_FF_SYM_RAW_DP)))
+	if ((global_api_test_type == CRYPTODEV_RAW_API_TEST) ||
+			(!(feat_flags & RTE_CRYPTODEV_FF_SYM_RAW_DP))) {
+		printf("Device does not support RAW data-path APIs.\n");
 		return TEST_SKIPPED;
+	}

 	/* not supported with CPU crypto */
 	if (gbl_action_type == RTE_SECURITY_ACTION_TYPE_CPU_CRYPTO)
--
2.17.1

